Skip to main content

List AWS tags​

Returns a list of AWS tags in the specified environment.

Path Parameters
  • environment_id string required

    Performs the operation on the AWS environment with the specified ID.

Query Parameters
  • current_count int64

    The number of items listed on the current page.

  • limit int64

    The maximum number of items displayed per page in the response.

  • total_count int64

    The total number of items, summed across all pages.

  • total_pages_count int64

    The total number of pages of results.

  • start string

    The page number used to get this response. Pages are indexed starting from 1 (i.e., "start": "1").

  • filter string

    Narrows down the results to only the items that satisfy the filter criteria. The following table lists the supported filter fields for this resource and the filter conditions that can be applied on those fields:

    FieldFilter ConditionDescription
    key_id$eqThe Clumio-assigned ID of the AWS tag key associated with the tag. For example, ?filter={"key_id":{"$eq":"d23cd819-ab15-48e2-acea-3f94d3a9f2fb"}}
    value$containsThe AWS-assigned value of the tag. For example, ?filter={"value":{"$contains":"vol"}}
    protection_status$eqThe protection status of the tag. Set to "protected" to return only protected tags. For example, ?filter={"protection_status":{"$eq":"protected"}}
    protection_info.policy_id$eqThe Clumio-assigned ID of a Clumio policy applied to the tag. For example, ?filter={"protection_info.policy_id":{"$eq":"e12cd819-ab15-48e2-acea-3f94d3a9f2fb"}}
    id$inThe Clumio-assigned ID of the AWS tag. Multiple tags can be specified. For example, ?filter={"id":{"in":["f78cd123-ab15-48e2-acea-3f94d3a9f2fb","abbcd819-ba15-48e2-acea-3f94aba9f2fb"]}}
    For more information about filtering, refer to the Filtering section of this guide.
  • lookback_days int64

    Calculate backup status for the last lookback_days days.

Responses

Success


Schema
  • _embedded object

    Embedded responses related to the resource.

  • items object[]

    A collection of requested items.

  • id string

    The Clumio-assigned ID of the AWS tag.

  • key string

    The AWS-assigned tag key.

  • key_id string

    The Clumio-assigned ID of the AWS key.

  • organizational_unit_id string

    The Clumio-assigned ID of the organizational unit associated with the tag.

  • protection_info object

    The protection policy applied to this resource. If the resource is not protected, then this field has a value of null.

  • inheriting_entity_id string

    The ID of the entity from which protection was inherited. If protection was not inherited, then this field has a value of null.

  • inheriting_entity_type string

    The type of entity from which protection was inherited. If protection was not inherited, then this field has a value of null.
    Entities from which protection can be inherited include the following:

    Inheriting Entity TypeDetails
    aws_tagAWS tag.
  • policy_id string

    A system-generated ID assigned to the policy protecting this resource.

  • protection_status string

    The protection status of the EBS volume. Possible values include "protected" and "unprotected".

  • value string

    The AWS-assigned tag value.

  • current_count int64

    The number of items listed on the current page.

  • filter_applied string

    The filter used in the request. The filter includes both manually-specified and system-generated filters.

  • limit int64

    The maximum number of items displayed per page in the response.

  • start string

    The page number used to get this response. Pages are indexed starting from 1 (i.e., "start": "1").

  • total_count int64

    The total number of items, summed across all pages.

  • total_pages_count int64

    The total number of pages of results.

Loading...